spring:
  datasource:
    username: postgres
    password: postgres
    url: jdbc:postgresql://localhost:5433/easyOrder
    driver-class-name: org.postgresql.Driver
  jpa:
    hibernate:
      ddl-auto: update
server:
  servlet:
    contextPath: /easyOrder/api
    multipart:
      enabled: true
      file-size-threshold: 2KB
      max-file-size: 200MB
      max-request-size: 215MB

#  for https
#  ssl:
#    key-store: ./src/main/resources/keystore.p12
#    key-store-password: easyOrder
#    key-store-type: PKCS12
#    key-alias: tomcat

file:
  upload-dir: ./src/main/resources/data

# for debugging
#logging:
#  level:
#    root: INFO
#    org.springframework.web: DEBUG
#    org.hibernate: ERROR